void displayRT() {

  for (byte i = 0; i < 8; i++) {
    for (byte j = 0; j < 7; j++) {
      if (rolltone[i][j]) {
        digitalWrite(sclDispPins[j], LOW);
      } else {
        digitalWrite(sclDispPins[j], HIGH);
      }
    }
    delay(250);
  }
  delay(1000);
}


byte scale = 0;
byte bUpState = 1;
byte bDnState = 1;

void sclUpdate() {
  
  if (digitalRead(sclUpPin) == LOW) {
    scale++;
    if (scale == 7) { scale = 0; };
    Serial.print("scl: ");
    Serial.println(scale);
    //Serial.print('\n');
    delay(200);
  } 
  if (digitalRead(sclDnPin) == LOW) {
    if (scale == 0) { scale = 6; }
    else { scale--; };
    Serial.print("scl: ");
    Serial.println(scale);
    //Serial.print('\n');
    delay(200);
  }
  //return scale;
}

void displayScale() {
  
    for (byte j = 0; j < 7; j++) {
      if (scaleChar[scale][j]) {
        digitalWrite(sclDispPins[j], LOW);
      } else {
        digitalWrite(sclDispPins[j], HIGH);
      }
    }
    //delay(250);
  
}


boolean rpiOn = false;

void waitStartUp() {
  while (!rpiOn) {
    displayRT();
    if (Serial.available() ) {
     char rpiChk = (char)Serial.read();
     if (rpiChk == 'R') {
       rpiOn = true;
     }
    }
  }
}          
